/*
| Digigripper
| Olaf Val
| www.olafval.de
|
| based on shiftOutCode, Predefined Array Style
| by Carlyn Maw, Tom Igoe 
*/


//Pin connected to ST_CP of 74HC595
int latchPin = 8;
//Pin connected to SH_CP of 74HC595
int clockPin = 12;
////Pin connected to DS of 74HC595
int dataPin = 11;

//holders for infromation you're going to pass to shifting function
byte data;
byte dataArray[2];

byte incomingByte;


void setup() {
  
  Serial.begin(9600);	// opens serial port, sets data rate to 9600 bps
  
  //set pins to output because they are addressed in the main loop
  pinMode(latchPin, OUTPUT);

  //function that blinks all the LEDs
  //gets passed the number of blinks and the pause time
  blinkAll(2,500); 
}

void loop() {
  
  // shift out only when you receive data:
  if (Serial.available() > 0) {
    // read the incoming byte:
    incomingByte = Serial.read();
    
    if (incomingByte == 65) {
      //A
      dataArray[0] = 0xF0; //11110000
      dataArray[1] = 0x0; //00000000  
    }
    
    if (incomingByte == 66) {
      //B
      dataArray[0] = 0xF; //00001111
      dataArray[1] = 0x0; //00000000  
    }
    
    if (incomingByte == 67) {
      //C
      dataArray[0] = 0; //00000000
      dataArray[1] = 240; //11110000  
    }
    
    if (incomingByte == 68) {
      //D
      dataArray[0] = 0; //00000000
      dataArray[1] = 15; //00001111  
    }
   
    //Arduino doesn't seem to have a way to write binary straight into the code 
    //so these values are in Decimal. 
    
    shiftOut();
  }
  
}
